import request from '@/utils/request.js'

export default {
  addDragPage(data) {
    return request({
      url: '/customer/api/appConf/v1/appPageModel/add',
      method: 'post',
      data
    })
  },
  updateDragPage(data) {
    return request({
      url: '/customer/api/appConf/v1/appPageModel/update',
      method: 'put',
      data
    })
  },
  getDragPage(pageId) {
    return request({
      url: `/customer/api/appConf/v1/appPageModel/get/${pageId}`,
      method: 'get'
    })
  },
  getMarketList(data) {
    return request({
      url: '/customer/api/appConf/v1/appModelActive/marketList',
      method: 'post',
      data
    })
  },
  getActivityList(data) {
    return request({
      url: '/customer/api/appConf/v1/appModelActive/activeList',
      method: 'post',
      data
    })
  }
}
